org.springframework.jdbc.object

## Class GenericStoredProcedure

- java.lang.Object
- - org.springframework.jdbc.object.RdbmsOperation
  - - org.springframework.jdbc.object.SqlCall
    - - org.springframework.jdbc.object.StoredProcedure
      - - org.springframework.jdbc.object.GenericStoredProcedure

All Implemented Interfaces:
  InitializingBean

    public class GenericStoredProcedure
    extends StoredProcedure

Concrete implementation making it possible to define the RDBMS stored procedures in an application context without writing a custom Java implementation class.

This implementation does not provide a typed method for invocation so executions must use one of the generic `StoredProcedure.execute(java.util.Map)` or `StoredProcedure.execute(org.springframework.jdbc.core.ParameterMapper)` methods.

Author:
  Thomas Risberg
See Also:
  `StoredProcedure`

### Field Summary

### Fields inherited from class org.springframework.jdbc.object.RdbmsOperation

`logger`

### Constructor Summary

Constructors
Constructor and Description
`GenericStoredProcedure()`

### Method Summary

### Methods inherited from class org.springframework.jdbc.object.StoredProcedure

`allowsUnusedParameters, declareParameter, execute, execute, execute`

### Methods inherited from class org.springframework.jdbc.object.SqlCall

`compileInternal, getCallString, isFunction, isSqlReadyForUse, newCallableStatementCreator, newCallableStatementCreator, onCompileInternal, setFunction, setSqlReadyForUse`

### Methods inherited from class org.springframework.jdbc.object.RdbmsOperation

`afterPropertiesSet, checkCompiled, compile, getDeclaredParameters, getGeneratedKeysColumnNames, getJdbcTemplate, getResultSetType, getSql, isCompiled, isReturnGeneratedKeys, isUpdatableResults, setDataSource, setFetchSize, setGeneratedKeysColumnNames, setJdbcTemplate, setMaxRows, setParameters, setQueryTimeout, setResultSetType, setReturnGeneratedKeys, setSql, setTypes, setUpdatableResults, supportsLobParameters, validateNamedParameters, validateParameters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericStoredProcedure

    public GenericStoredProcedure()